# Type alias IdlInstruction

IdlInstruction: {
accounts: IdlAccountItem[];
args: IdlField[];
docs?: string[];
name: string;
returns?: IdlType;
}

#### Type declaration

- ##### accounts: IdlAccountItem[]

- ##### args: IdlField[]

- ##### `Optional` docs?: string[]

- ##### name: string

- ##### `Optional` returns?: IdlType

- Defined in platforms/solana/src/utils/anchor/idl.ts:42

Generated using TypeDoc